<!DOCTYPE html>
<html lang="en">

<head>
<!--script src="../ml/ml1.js"></script-->
<!--script src="../ml/ml2.js"></script-->
<!--script src="../ml/ml3.js"></script-->
    <!-- Links de red azure   -->

    
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@3.12.0/dist/tf.min.js"></script>
    <script src="https://unpkg.com/@microsoft/customvision-tfjs@1.3.0"></script>
    <script src ="https://cdnjs.cloudflare.com/ajax/libs/mathjs/13.0.0/math.js"></script>
    <script src="../js/socket.io.js" type="text/javascript"></script>
    <link href="css/sofi.css" rel="stylesheet" type="text/css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.1/chart.min.js"></script>
    <title>Tim Inspection</title>
</head>

<body>
    <nav id="menu">
        <ul class="menu-horizontal">
            <li>
                <a href="#">Cam config</a>
                <ul class="menu-vertical">
                    <li><a href="#" onclick="mapcams()">MapCameras</a></li>
                    <li><a href="#" onclick=" IDcam()">ID Cameras</a></li>
                </ul>
            </li>
            <li>
                <a href="#">Automatic Calibration</a>
                <ul class="menu-vertical">
                    <li><a href="#" id="testcalibration" >Test Calibration </a></li>
                    <li><a href="#" id="testcalibration" onclick="inputypes()">Test Calibration 10 samples</a></li>
                    
                    <!--li><a href="#">Camara 2</a></li  valorprompt()  IDcam()-->
                    <!--li><a href="#">Camara 1</a></li-->
                </ul>
            </li>
            <li>
                <a href="#" >Manual Calibration</a>
                <ul class="menu-vertical">
                    <li><a href="#" onclick="">Manual Calibration TA</a></li>
                    <li><a href="#" onclick=""></a></li>
                    <li><a href="#" onclick=""></a></li>
                </ul>
            </li>
            <li>
                <a href="#">RGB Cal</a>
                <ul class="menu-vertical">
                    <li><a href="#" onclick="clearlocalstorage()">Delete data </a></li>
                    <li><a href="#" onclick=" deleteCalibration()">Delete data calibration</a></li>
                </ul>
            </li>
        </ul>
      </nav>
      
    <!--output para el yield openWindow() -->
    <p id="output"></p>
    <p id="output">  </p>
    <!--Ingresar el serial y NP -->
    <div class="container">
        <div class="row" style="top: 50%;">
            <h2 id="sn">Serial: Ingresa serial</h4>
            <h2 id="pn">Model: Ingresa NP</h4>
            <h2 id="st">Station: IDM-1007</h4> 
        </div>
    </div>
    <!-- Seccion de camaras  -->
    <video hidden autoplay="true" id="video"></video>
    <canvas id="CanvasFHD" width="1920px" height="1080px"></canvas>
    <!-- etiqueta de video lleva un Hidden para esconder -->
    <p hidden id="demo"></p>
    <!--Ingresar serial y NP-->

    <!--button onclick="openWindow()">Abrir otra ventana</button-->

    <script>
        function openWindow() {
            window.open("ManualCalibration.html", "_blank");
        }
        function openWindowform(){
            window.open("AutCalibration.html", "_blank");
        }
        function idcameras(){
            window.open("idcameras.html", "_blank");
        }
    </script>

    <!--<canvas id="CanvasFHD" width="1920px" height="1080px"></canvas-->


    <!-- Canvas para las graficas -->

    <!-- Canvas de camaras  -->
    <!--canvas id="fullimage"  width="1920" ; height="1080"></canvas--> <!--canvas general de la imagen -->
    <canvas id="canvasCamara" width="935" ; height="518"></canvas><!-- canvas donde se metera la imagen-->
    <canvas  id="canvasClen1" width="118" ; height="299"></canvas> <!--canvas Chico lente 1-->
    <canvas hidden id="canvasMlen1" width="118" ; height="312"></canvas><!--canvas mediano lente 1 TA12 modificacion -->
    <canvas hidden id="canvasGlen1" width="118" ; height="330"></canvas><!--canvas grande lente 1-->
    <canvas hidden id="canvasTA6len1" width="115" ; height="322"></canvas> <!-- TA6 corregido, ajuste de medidas-->
    <canvas hidden id="canvasClen2" width="149" ; height="378"></canvas><!--canvas chico lente 2-->
    <canvas hidden id="canvasGlen2" width="418" ; height="149"></canvas><!--canvas grande lente 2-->
    <canvas hidden id="canvasTGlen2" width="99" ; height="298"></canvas><!--canvas TG lente 2-->
    <canvas hidden id="canvasflalen3" width="61" ; height="555"></canvas> <!--canvas flaquito del TA21-->
    <canvas hidden id="canvasgolen3" width="429" ; height="795"></canvas><!--canvas gordito de la division del TA21 (TA22) -->
    <canvas hidden id="canvasTB" width="34" ; height="52"></canvas> <!--canvas para el tb1,2.3 -->
    <canvas hidden id="canvasTB4" width="66" ; height="52"></canvas> <!--canvas para el tb4 -->

    <!---------------------- Cuadrante 1 --------------->
    <canvas hidden id="canvasnuevo" width="519" ; height="934"> </canvas>
    <!--canvas nuevo identifica el cuadrante 1 en vertical-->
    <canvas hidden id="canvaspaste" width="1868" ; height="1038"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->
    <!---------------------- Cuadrante 2 --------------->
    <canvas hidden id="canvaspasteC2" width="1868" ; height="1038"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->
    <!---------------------- Cuadrante 3 --------------->
    <canvas hidden id="canvaspasteC3" width="1868" ; height="1038"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->
    <!---------------------- Cuadrante 4 --------------->
    <canvas hidden id="canvasnuevo4" width="605" ; height="1069"> </canvas>
    <!--canvas nuevo identifica el cuadrante 4 y 5 en vertical-->
    <canvas hidden id="canvaspaste4" width="1677" ; height="2138"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->
    <!---------------------- Cuadrante 5 --------------->
    <canvas hidden id="canvaspasteC5" width="1677" ; height="2138"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->
    <!---------------------- Cuadrante 6 --------------->
    <canvas hidden id="canvaspasteC6" width="1677" ; height="2138"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->

    <canvas hidden id="canvasnuevo7" width="987" ; height="1067"> </canvas>
    <!--canvas nuevo identifica el cuadrante 4 y 5 en vertical-->
    <canvas hidden id="canvaspaste7" width="1974" ; height="2134"> </canvas>
    <!--canvas identificador de cuadrante 1 en horizontal-->

    <!-- Canvas para graficas -->
    <!--div id="bar_div"><canvas id="bar"></canvas></div>
    <div id="linea_div"><canvas id="linea"></canvas></div-->

        <div class="bar_div" >
            <ul>
                <li>
                    <canvas id="bar" >
    
                    </canvas>
                </li>
                <li>
                    <canvas id="linea">
    
                    </canvas>
                </li>
                <li>
                    <canvas id="bardos">
                        <div class="texto" >
                             <h2>FAIL FOR WEEK</h2>   
                        </div>  
                    </canvas>
                </li>
            </ul>
        </div>     

    <!-- Imagenes logos -->
    <div><img id="IA_logo" src="/img/AI_lab_logo.jpg" onclick="testsequence()"></div>
    <div><img id="sanmina" src="/img/sanmina.jpeg"></div>
    <div><img id="tesla" src="/img/tesla.png"></div>

    <!--button id="miboton" onclick="disable()">Deshabilitar</button-->
    <!--button id="mibotone" onclick="enable()">habilitar</button-->

    <!--button id="myBtn">habilitar</button -->
    
    <script src='/js/main.js'></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
    <script src="../js/sweetAlert.js"></script>
    <script src="../js/funcionYield.js"></script>
    <script src="../js/dataday.js"></script>
    <script src="../js/Recortes.js"></script>
    <script src="../js/ubicaciones.js"></script>
    <script src="../js/calibracionRGB.js"></script>
</body>

</html>